SMBBETA

List Room connections

Last updated Oct 10, 2026View as MarkdownAgent setup / MCP
GET
/v1/rooms/{room_id}/connections

Lists apps and saved logins shared into a Room.

Authorization

AuthorizationBearer <token>

Signed-in user's Supabase access token. Workspace-scoped operations also require SMB-Workspace-Id.

In: header

Path Parameters

room_id*string
Match^rom_[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

SMB-Workspace-Id*string

Workspace where this operation runs. Required for user tokens and Workspace API keys.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/rooms/string/connections" \  -H "SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": [    {      "connection_id": "d3547de1-d1f2-4344-b4c2-17169b7526f9",      "kind": "app",      "plugin": "string",      "origin": "string",      "label": "string",      "status": "live",      "shared_by": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string"      },      "shared_at": "string",      "mine": true,      "can_stop": true    }  ],  "request_id": "string"}